#include "ssl.h"

/* test server for the monit ssl library */

/* Copy source to the monit dir and compile like this:
 * gcc -g -lssl -I . -o test_srv xmalloc.c net.c test_srv.c ssl.c
 * Start the server the run number of clients. (-:
 */

main() {

  char buf[4096];
  ssl_connection * ssl_srv;
  int err;

  if ((ssl_srv= create_ssl_server_socket("foo-cert.pem", 1111, 5, "localhost")) == NULL ){
    
    exit(2);

  }
  while(1) {

    if ( ! accept_ssl_socket(ssl_srv)) {
      continue;
    }

    err=recv_ssl_socket(ssl_srv, buf, 4095);
    buf[err]=0;
    printf("Received %i chars: %s\n", err, buf);
    err=send_ssl_socket(ssl_srv, "My name is server!", strlen("My name is server!"));
    printf("Sent %i chars\n",err);
    close_ssl_socket(ssl_srv);

  }

  close_ssl_server_socket(ssl_srv);
  delete_ssl_socket(ssl_srv);

}
